Post Details by URL
curl --request GET \
--url https://cds.thepublive.com/publisher/{publisher_id}/post/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://cds.thepublive.com/publisher/{publisher_id}/post/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://cds.thepublive.com/publisher/{publisher_id}/post/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"data": {
"id": 123,
"title": "<string>",
"slug": "<string>",
"banner_url": "<string>",
"short_description": "<string>",
"summary": "<string>",
"primary_category": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"categories": [
{
"id": 123,
"name": "<string>",
"slug": "<string>"
}
],
"tags": [
{
"id": 123,
"name": "<string>",
"slug": "<string>"
}
],
"contributors": [
{
"id": 123,
"name": "<string>",
"slug": "<string>"
}
],
"content_html": "<string>",
"meta_data": {
"access_type": "<string>"
},
"media_file_banner": {
"id": 123,
"filename": "<string>",
"path": "<string>",
"alt_text": "<string>",
"meta_data": {
"width": 123,
"height": 123
}
},
"word_count": 123,
"access_type": "<string>",
"hide_banner_image": true,
"banner_description": "<string>",
"language_code": "<string>",
"custom_entity": {},
"absolute_url": "<string>",
"formatted_first_published_at_datetime": "<string>",
"formatted_last_published_at_datetime": "<string>"
}
}{
"detail": "Invalid Auth Credentials"
}{
"status": "error",
"message": "Post not found"
}Post Details by URL
Resolves a post by its relative legacy URL. Returns the same post object as Post Details.
GET
/
publisher
/
{publisher_id}
/
post
/
Post Details by URL
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Query Parameters
Relative URL path of the post
Last modified on August 10, 2026
Was this page helpful?
⌘I